From: Josselin Mouette <joss@debian.org>
Date: Sun, 5 Jun 2011 00:26:59 +0000
Subject: _scroll_notebook

With the addition of 043_notebook_scroll.patch in gtk+3.0, it is
possible to switch tabs with Alt+mouse wheel from anywhere on the
notebook. This patch prevents vte from interecepting the signal.

Corresponding GTK+ bug: GNOME #145244
---
 src/vte.cc | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/src/vte.cc b/src/vte.cc
index 6c9f70f..591a3d8 100644
--- a/src/vte.cc
+++ b/src/vte.cc
@@ -9825,6 +9825,13 @@ Terminal::widget_scroll(GdkEventScroll *event)
 
 	read_modifiers(base_event);
 
+#if GTK_CHECK_VERSION (2, 90, 8)
+	/* Do not intercept Alt+scroll, let the GtkNotebook handle it to switch tabs.
+	   Requires a fixed GTK+, see https://bugzilla.gnome.org/show_bug.cgi?id=145244 */
+	if (event->state & GDK_MOD1_MASK)
+		return;
+#endif
+
 	switch (event->direction) {
 	case GDK_SCROLL_UP:
 		m_mouse_smooth_scroll_delta -= 1.;
